Stampfactory
Dokumentation
Export & Import

DLS-Import ausführen

Import the export: create new employees and, when `update` is set, refresh existing ones matched by personnel number

POST
/import/dls/commit
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Request-Body

multipart/form-data

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

curl -X POST "https://example.com/import/dls/commit" \  -F file="string"
{  "data": {    "imported": 0,    "updated": 0,    "skipped": 0,    "departed": 0,    "conflicts": 0,    "employees": [      {        "personnel_number": "string",        "name": "string",        "surname": "string",        "full_name": "string",        "position": "string",        "employed_start": "string",        "employed_end": "string",        "has_payroll_data": true,        "status": "string",        "warnings": [          "string"        ]      }    ]  }}